Package org.apache.cxf.message

# Interface Attachment

All Known Implementing Classes:
  `AttachmentImpl`

public interface Attachment

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.activation.DataHandler`
  `getDataHandler()`
  `String`
  `getHeader(String name)`
  `Iterator<String>`
  `getHeaderNames()`
  `String`
  `getId()`
  `boolean`
  `isXOP()`
  Whether or not this is an XOP package.

- ## Method Details

  - ### getDataHandler

    jakarta.activation.DataHandler getDataHandler()

  - ### getId

    String getId()
    Returns:
      The attachment id.

  - ### getHeader

    String getHeader(String name)

  - ### getHeaderNames

    Iterator<String> getHeaderNames()

  - ### isXOP

    boolean isXOP()
    Whether or not this is an XOP package. This will affect the serialization of the attachment. If true, it will be serialized as binary data, and not Base64Binary.
    Returns:
      true if this attachment is an XOP package